## CORBA Interface IProcessJobNodeExecution

### Definition

CORBA Module DFProcessFlow

### IProcessJobNodeExecution Description

CORBA Definitions
attribute ContextChildMoveType |
attribute ContextMoveType |
attribute HasContext |
attribute Node |
attribute SubNodeSlot |
attribute WorkType |
method CloseTable |
method GetInput |
method GetInputs |
method GetOutput |
method GetOutputs |
method GetState |
method GetStatus |
method GetStatuses |
method GetTableRowsXML |
method Resume |

Java Classes
IProcessJobNodeExecutionHelper | Used to manipulate the IProcessJobNodeExecution type
IProcessJobNodeExecutionHolder | Used to process the IProcessJobNodeExecution type as an out parameter

Java Interfaces
IProcessJobNodeExecution |

Java Interface IProcessJobNodeExecution

Package com.sas.iom.DFProcessFlow

IProcessJobNodeExecution Description

`public interface IProcessJobNodeExecution
extends org.omg.CORBA.Object`

Method Summary

void | CloseTable ( java.lang.String name ) throws ( GenericError );
void | GetInput ( java.lang.String name , org.omg.CORBA.StringHolder type , org.omg.CORBA.StringHolder value ) throws ( NotFound, GenericError );
java.lang.String[][] | GetInputs ( ) throws ( GenericError );
void | GetOutput ( java.lang.String name , org.omg.CORBA.StringHolder type , org.omg.CORBA.StringHolder value , org.omg.CORBA.StringHolder isMetric ) throws ( NotFound, GenericError );
java.lang.String[][] | GetOutputs ( ) throws ( GenericError );
void | GetState ( NodeExecStateHolder state , org.omg.CORBA.StringHolder errMsg ) throws ( GenericError );
void | GetStatus ( java.lang.String key , org.omg.CORBA.StringHolder value ) throws ( GenericError );
java.lang.String[][] | GetStatuses ( ) throws ( GenericError );
octet[] | GetTableRowsXML ( java.lang.String name , long start , int count ) throws ( EndOfFile, GenericError );
void | Resume ()

Java Class IProcessJobNodeExecutionHelper

public class IProcessJobNodeExecutionHelper

Description
Implementing class for methods (insert, extract, type, id, read, write, narrow) used to manipulate the IProcessJobNodeExecution type.

    java.lang.Object
      |
      +--com.sas.iom.SAS.IProcessJobNodeExecutionHelper

Java Class IProcessJobNodeExecutionHolder

public class IProcessJobNodeExecutionHolder

Description
Implementing class for methods (_read, _write, _type) used to process the IProcessJobNodeExecution type as an out parameter.

    java.lang.Object
      |
      +--com.sas.iom.SAS.IProcessJobNodeExecutionHolder

CORBA Attribute ContextChildMoveType

Description

Usage

Java Method ContextChildMoveType

    public ExecContextMoveType ContextChildMoveType ();
    public void ContextChildMoveType ( ExecContextMoveType ContextChildMoveType );

CORBA Attribute ContextMoveType

Description

Usage

Java Method ContextMoveType

    public ExecContextMoveType ContextMoveType ();
    public void ContextMoveType ( ExecContextMoveType ContextMoveType );

CORBA Attribute HasContext (readonly)

Description

Usage

Java Method HasContext

    public boolean HasContext ();

CORBA Attribute Node (readonly)

Description

Usage

Java Method Node

    public IProcessJobNode Node ();

CORBA Attribute SubNodeSlot (readonly)

Description

Usage

Java Method SubNodeSlot

    public int SubNodeSlot ();

CORBA Attribute WorkType

Description

Usage

Java Method WorkType

    public WorkType WorkType ();
    public void WorkType ( WorkType WorkType );

CORBA Method CloseTable

Description

Usage

Java Method CloseTable

`void` CloseTable (

        java.lang.String name
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
name | in | java.lang.String |

Example

CORBA Method GetInput

Description

Usage

Java Method GetInput

`void` GetInput (

        java.lang.String name ,
        org.omg.CORBA.StringHolder type ,
        org.omg.CORBA.StringHolder value
        )
        throws (
                NotFound,
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
name | in | java.lang.String |
type | out | org.omg.CORBA.StringHolder |
value | out | org.omg.CORBA.StringHolder |

Example

CORBA Method GetInputs

Description

Usage

Java Method GetInputs

`java.lang.String[][]` GetInputs (

        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---

Example

CORBA Method GetOutput

Description

Usage

Java Method GetOutput

`void` GetOutput (

        java.lang.String name ,
        org.omg.CORBA.StringHolder type ,
        org.omg.CORBA.StringHolder value ,
        org.omg.CORBA.StringHolder isMetric
        )
        throws (
                NotFound,
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
name | in | java.lang.String |
type | out | org.omg.CORBA.StringHolder |
value | out | org.omg.CORBA.StringHolder |
isMetric | out | org.omg.CORBA.StringHolder |

Example

CORBA Method GetOutputs

Description

Usage

Java Method GetOutputs

`java.lang.String[][]` GetOutputs (

        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---

Example

CORBA Method GetState

Description

Usage

Java Method GetState

`void` GetState (

        NodeExecStateHolder state ,
        org.omg.CORBA.StringHolder errMsg
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
state | out | NodeExecStateHolder |
errMsg | out | org.omg.CORBA.StringHolder |

Example

CORBA Method GetStatus

Description

Usage

Java Method GetStatus

`void` GetStatus (

        java.lang.String key ,
        org.omg.CORBA.StringHolder value
        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
key | in | java.lang.String |
value | out | org.omg.CORBA.StringHolder |

Example

CORBA Method GetStatuses

Description

Usage

Java Method GetStatuses

`java.lang.String[][]` GetStatuses (

        )
        throws (
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---

Example

CORBA Method GetTableRowsXML

Description

Usage

Java Method GetTableRowsXML

`octet[]` GetTableRowsXML (

        java.lang.String name ,
        long start ,
        int count
        )
        throws (
                EndOfFile,
                GenericError
        );

Parameter Details

Parameter | Direction | Type | Description
--- | --- | --- | ---
name | in | java.lang.String |
start | in | long |
count | in | int |

Example

CORBA Method Resume

Description

Usage

Java Method Resume

`void` Resume ( )

Example